Skip to main content
GET
/
orgs
/
{org_id}
/
semantic_search
Semantic search
import requests

url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/semantic_search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "items": [
    {
      "object": "semantic_search_result",
      "score": 123,
      "meeting": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "object": "<string>"
      },
      "chunk": {
        "object": "transcript_chunk",
        "index": 123,
        "event_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "ts_start": 123,
        "ts_end": 123
      }
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required

Query Parameters

q
string
required

Natural-language search query.

type
enum<string>
Available options:
manual,
automatic
limit
integer
default:5
Required range: 1 <= x <= 100

Response

200 - application/json

Semantic search result page.

items
object[]
required
next_cursor
string | null
Last modified on June 29, 2026